Search found 37 matches

Go to advanced search

by PaulG
Mon May 13, 2019 8:36 pm
Forum: Python scripting and macros
Topic: Part.makeRevolution() and Shape revolve() - bugs or misunderstandings
Replies: 21
Views: 932

Re: Bug in Part.makeRevolution()

DeepSOIC wrote:
Sat May 11, 2019 9:19 pm
I just revolved your bspline in gui. It creates an open shell. The shell must be closed to be able to make a solid.
Sorry about the bad (not closed) example with Bspline. I should have looked at it more carefully.
by PaulG
Sat May 11, 2019 8:30 pm
Forum: Python scripting and macros
Topic: Part.makeRevolution() and Shape revolve() - bugs or misunderstandings
Replies: 21
Views: 932

Re: Bug in Part.makeRevolution()

I'm also curious why I get

Code: Select all

>>> cS.isValid()
False
by PaulG
Sat May 11, 2019 8:23 pm
Forum: Python scripting and macros
Topic: Part.makeRevolution() and Shape revolve() - bugs or misunderstandings
Replies: 21
Views: 932

Re: Bug in Part.makeRevolution()

Ok, thanks. Should I file a bug report or will you look after it?
by PaulG
Sat May 11, 2019 4:17 am
Forum: Python scripting and macros
Topic: Part.makeRevolution() and Shape revolve() - bugs or misunderstandings
Replies: 21
Views: 932

Part.makeRevolution() and Shape revolve() - bugs or misunderstandings

(I've adjusted the subject line to reflect more recent content in the thread) Following seems pretty clearly to be a bug, but I am seeking comment on the actual problem before putting it in the tracking system. (Using 0.19 #16694 (Git), details below.) Under certain circumstances Part.makeRevolution...
by PaulG
Wed May 08, 2019 9:40 pm
Forum: Python scripting and macros
Topic: possible bugs in Part WB with FreeCAD 18.1
Replies: 5
Views: 204

Re: possible bugs in Part WB with FreeCAD 18.1

I am not saying that all is perfect. I just give some clues on the reasons of the error messages. Maybe there are some inconsistency, but I am not experienced enough to tell ... Yes, thanks for point these things out. I am really a newbie and I'm just trying write down details about some things tha...
by PaulG
Wed May 08, 2019 8:33 pm
Forum: Python scripting and macros
Topic: possible bugs in Part WB with FreeCAD 18.1
Replies: 5
Views: 204

Re: possible bugs in Part WB with FreeCAD 18.1

Be careful here : hdm = hd.mirror(o, y) Part.show(hdm) # displays ok hdm.ShapeType #'Face' - The mirror function returns a generic 'Shape' object : hdm >>> <Shape object at 0x555a357c5380> But Part.makeShell needs a list of faces. So this should work : shellm = Part.makeShell(hdm.Faces) Ok, let's c...
by PaulG
Wed May 08, 2019 8:23 pm
Forum: Python scripting and macros
Topic: possible bugs in Part WB with FreeCAD 18.1
Replies: 5
Views: 204

Re: possible bugs in Part WB with FreeCAD 18.1

Hello, Indeed there seems to be a bug when revolving around X axis. If you slightly modify X axis to (1, 0, 0.000001), then things work fine again. There is certainly an instability. For me, not solved by the small perturbation: hdx = e.toShape().revolve(o, Vector(1, 0, 0.000001), 180) Part.show(hd...
by PaulG
Wed May 08, 2019 3:25 pm
Forum: Python scripting and macros
Topic: possible bugs in Part WB with FreeCAD 18.1
Replies: 5
Views: 204

possible bugs in Part WB with FreeCAD 18.1

I am working through some examples of parts construction using command line scripting. Part.show() requires running in the FreeCAD gui, but other than that everything should run in a command line session. In the example I am trying to make a solid ellipsoid roughly the shape of a rugby ball. I do kn...
by PaulG
Fri May 03, 2019 2:39 pm
Forum: Install / Compile
Topic: Topic hijacked, I'm no longer interested in trying to maintain it
Replies: 54
Views: 11093

Re: Status of FreeCAD 0.18 Release

If you are going to mention the names at least refer to them in parentheses like this Trusty(14.04) is EOL Xenial(16.04) is only PY2/QT4 Even for 18.04+ Kurt had to port some stuff from Debian to Ubuntu I would mostly be happy with this, since I can never remember the names either. But how would yo...
by PaulG
Thu May 02, 2019 10:09 pm
Forum: Install / Compile
Topic: Topic hijacked, I'm no longer interested in trying to maintain it
Replies: 54
Views: 11093

Re: Status of FreeCAD 0.18 Release

Ok, got it. Thanks to all.

Go to advanced search